Summary: A program to automagically mount/play cdroms
Name: autorun
Version: 2.3
Release: 7
Copyright: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
Patch0: autorun-2.3-redhat.patch
PAtch1: autorun-2.3-owner.patch
BuildRoot: /var/tmp/%{name}-root
Requires: kdemultimedia kdebase

%description
Autorun automagically recognozises all available CDROMs in your system and
mounts them upon insertion and executes a possibles autorun executable on the
CD. To allow an ordinary user to do this you have to add the options
owner,exec in /etc/fstab for the cdroms you want to use.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoconf
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/skel/Desktop/Autostart
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/bin/autorun
#/usr/share/applnk/Utilities/Autorun.kdelnk
#/etc/skel/Desktop/Autostart/Autorun.kdelnk
/usr/man/man?/*

%changelog
* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- correct patch for the "owner" option

* Wed Sep 22 1999 Preston Brown <pbrown@redhat.com>
- require kdemultimedia (kscd) and kdebase (kfmexec)

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fixed path to autorun script
- don't install .kdelnks; we now check for autorun in startkde
  and act accordingly

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- patched to allow "owner" mount option

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- enabled back KDE-only mode

* Mon Sep 06 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3

* Mon Aug 23 1999 Cristian Gafton <gafton@redhat.com>
- imported for Red Hat Linux 6.1
- patch it up to make it more desktop-independednt (and require cdp because
  of that)
